> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> Get a user under the selected mobility provider with the specified UUID (only v1 to v4 are supported)



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users/{customerId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users/{customerId}:
    get:
      tags:
        - Users
      summary: Get user
      description: >-
        Get a user under the selected mobility provider with the specified UUID
        (only v1 to v4 are supported)
      operationId: getUser
      parameters:
        - in: path
          name: mobilityProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the mobility provider the user is
            registered under
        - in: path
          name: mobilityProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the mobility provider the user is
            registered under
        - in: path
          name: customerId
          schema:
            type: string
            format: uuid
          required: true
          description: >-
            The user id in UUID format (only the versions 1, 2, 3 and 4 are
            currently supported)
          example: 828c2d1c-d933-4138-9577-02c292b6d869
      responses:
        '200':
          description: The fetched user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the user
      security:
        - oauth:
            - openid
components:
  schemas:
    CustomerResponse:
      type: object
      required:
        - id
        - language
        - customerType
        - emailVerified
      properties:
        id:
          type: string
          description: Customer id
        firstName:
          type: string
          description: Customer first name
        lastName:
          type: string
          description: Customer last name
        dateOfBirth:
          type: string
          format: date
          description: Customer date of birth
          example: '2025-10-17T00:00:00.000Z'
        language:
          $ref: '#/components/schemas/Language'
        phone:
          type: string
          description: Customer phone number
        email:
          type: string
          description: Customer email address
        emailVerified:
          type: boolean
          description: Is customer email verified
        productCode:
          type: string
          description: Code of chosen mobility product
        productSubscriptionStart:
          type: string
          description: Subscription start date of chosen mobility product
        productSubscriptionEnd:
          type: string
          description: Subscription end date of chosen mobility product
        status:
          $ref: '#/components/schemas/CustomerStatus'
        contactAddress:
          $ref: '#/components/schemas/ContactAddressResponse'
        billingAddress:
          $ref: '#/components/schemas/BillingAddressResponse'
        driversLicense:
          type: object
          properties:
            licenseType:
              type: string
              description: Type of the license document
            issuingAuthority:
              type: string
              description: Name of the issuing authority for the license document
            licenseNumber:
              type: string
              description: License document number
            issueDate:
              type: string
              format: date
              description: Date the license document was issued
              example: '2025-10-17T00:00:00.000Z'
            blobs:
              $ref: '#/components/schemas/BlobsWithFilename'
        identificationDocument:
          type: object
          properties:
            documentType:
              type: string
              description: Type of the identification document
            issuingAuthority:
              type: string
              description: Name of the issuing authority for the identification document
            documentNumber:
              type: string
              description: Identification document number
            issueDate:
              type: string
              format: date
              description: Date the identification document was issued
              example: '2025-10-17T00:00:00.000Z'
            blobs:
              $ref: '#/components/schemas/BlobsWithFilename'
        customerType:
          $ref: '#/components/schemas/CustomerType'
    Language:
      type: string
      enum:
        - de
        - en
    CustomerStatus:
      type: string
      enum:
        - New
        - Incomplete
        - Pending
        - Active
        - Blocked
        - Inactive
    ContactAddressResponse:
      type: object
      properties:
        address:
          type: string
        city:
          type: string
        zipCode:
          type: string
        federalState:
          type: string
        countryCode:
          type: string
          enum:
            - DE
            - AT
            - CH
            - LI
    BillingAddressResponse:
      allOf:
        - $ref: '#/components/schemas/ContactAddressResponse'
        - type: object
          properties:
            company:
              type: string
              description: Company name
            vatNumber:
              type: string
              description: VAT/UID Number
    BlobsWithFilename:
      type: array
      items:
        $ref: '#/components/schemas/BlobWithFilename'
    CustomerType:
      type: string
      enum:
        - Private
        - Company
    BlobWithFilename:
      type: object
      required:
        - uuid
      properties:
        uuid:
          type: string
          format: uuid
        contentType:
          $ref: '#/components/schemas/FileType'
        filename:
          type: string
    FileType:
      type: string
      enum:
        - image/jpeg
        - image/png
        - application/pdf
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````